Index: /NEMO/branches/2019/fix_sette_ticket2239/README.rst
===================================================================
--- /NEMO/branches/2019/fix_sette_ticket2239/README.rst	(revision 11152)
+++ /NEMO/branches/2019/fix_sette_ticket2239/README.rst	(revision 11153)
@@ -15,5 +15,5 @@
 =======================
 * ``sette.sh`` is a simple wrapper that runs tests on the reference configurations, test cases and generates the report at the end.
-* ``sette.sh`` is able to take a list of configurations in argument (sette.sh -t "CFG1 CFG2 CFG3"). 
+* ``sette.sh`` is able n option, to take a list of configurations in argument (sette.sh -t "CFG1 CFG2 CFG3"). 
        - The list of available configurations is available in running ./sette_list_avail_cfg.sh.
        - The default for sette is to run all of the reference and test configurations.
@@ -22,9 +22,9 @@
 SECONDARY SCRIPT
 ================
-* ``sette_reference-configuration.sh`` runs sette tests on the reference configurations
-* ``sette_test-cases.sh``              runs sette tests on test cases
-* ``sette_list_avail_rev.sh``          generates a listing on all the revisions available in the validation directory for each configuration.
+* ``sette_reference-configuration.sh`` runs sette tests on the reference configurations.
+* ``sette_test-cases.sh``              runs sette tests on test cases.
+* ``sette_list_avail_rev.sh``          generates a listing on all the revisions available in the validation directory for each configuration. 
 * ``sette_list_avail_cfg.sh``          generates a listing of all the available configurations.
-* ``sette_rpt.sh``                     generates the report
+* ``sette_rpt.sh``                     generates the report.
 
 USER SETUP (recommended)
@@ -86,7 +86,9 @@
           - if 'old' is given as argument the former behavior is applied (the latest revision is check whatever the current revision
           - it is possible to retreive all the available revision test using sette_list_avail_rev.sh
+          - XXXXX+ means sette results for revision XXXXX contain local modification in src/cfgs/test
           - it is NOT possible to run sette_rpt.sh for a single configuration.
 * ``sette_list_avail_rev.sh`` : generate a listing on all the revisions available in the validation directory for each configuration.
           - no argument needed
+          - XXXXX+ means sette results for revision XXXXX contain local modification in src/cfgs/test
 * ``sette_list_avail_cfg.sh`` : generate a listing of all the available configurations.
           - no argument needed
Index: /NEMO/branches/2019/fix_sette_ticket2239/all_functions.sh
===================================================================
--- /NEMO/branches/2019/fix_sette_ticket2239/all_functions.sh	(revision 11152)
+++ /NEMO/branches/2019/fix_sette_ticket2239/all_functions.sh	(revision 11153)
@@ -105,4 +105,5 @@
     echo "value of revision number of NEMOGCM: ${REVISION_NB}"
     fi
+    [ `svn status -q ${SETTE_DIR}/../{cfg,tests,src} | wc -l` -ge 1 ] && REVISION_NB=${REVISION_NB}+
     NEMO_VALID=${NEMO_VALIDATION_DIR}/W${NEW_CONF}/${CMP_NAM}/${REVISION_NB}/${TEST_NAME}
 }
Index: /NEMO/branches/2019/fix_sette_ticket2239/sette.sh
===================================================================
--- /NEMO/branches/2019/fix_sette_ticket2239/sette.sh	(revision 11152)
+++ /NEMO/branches/2019/fix_sette_ticket2239/sette.sh	(revision 11153)
@@ -11,8 +11,11 @@
 
 if [ $# -gt 0 ]; then
-  while getopts t: option; do 
+  while getopts :ht: option; do 
      case $option in
-        t) export SETTE_TEST_CONFIGS=$OPTARG ;;
-        h) echo 'sette.sh allow no arguments (all configuration will be tested or -t "CFG1_to_test CFG2_to_test ..."'; exit 42 ;;
+        t) export SETTE_TEST_CONFIGS=$OPTARG
+           echo ""
+           echo "Configuration $SETTE_TEST_CONFIGS will be tested if they are available"
+           echo "" ;;
+        h | *) echo 'sette.sh allow no arguments (all configuration will be tested or -t "CFG1_to_test CFG2_to_test ..."'; exit 42 ;;
      esac
   done
Index: /NEMO/branches/2019/fix_sette_ticket2239/sette_list_avail_rev.sh
===================================================================
--- /NEMO/branches/2019/fix_sette_ticket2239/sette_list_avail_rev.sh	(revision 11152)
+++ /NEMO/branches/2019/fix_sette_ticket2239/sette_list_avail_rev.sh	(revision 11153)
@@ -3,9 +3,18 @@
 #
 lst_rev () {
-    CFGLST=`ls $1 | sort -u -r ` 
+    # get the list of revision available for a configuration
+    if [ ! -d $1 ] ; then 
+       CFGLST=-9999
+    else
+       CFGLST=`ls $1 | sort -u -r ` 
+    fi
+    # config name
     CONFIG=$2
+    # list of all revision available
     ALLLST=${@:3}
+    # number of revision total and for CONFIG
     nrevall=`echo $ALLLST | wc -w`
     nrevcfg=`echo $CFGLST | wc -w`
+    # display
     echo ""
     printf "%-27s : " $CONFIG
@@ -14,13 +23,11 @@
     while [[ $irev -le $nrevall ]] ; do
        rev=`echo $ALLLST | cut -d\  -f ${irev}`
-       #while [[ $irevcfg -le $nrevcfg ]] ; do
-          cfgrev=`echo $CFGLST | cut -d\  -f ${irevcfg}`
-          if [[ $cfgrev -eq $rev ]] ; then
-             printf "%-5s  " $rev
-             irevcfg=$((irevcfg+1))
-          else
-             printf "%-5s  " "*****" 
-          fi
-       #done
+       cfgrev=`echo $CFGLST | cut -d\  -f ${irevcfg}`
+       if [ $cfgrev == $rev ] ; then
+          printf "%-6s  " $rev
+          irevcfg=$((irevcfg+1))
+       else
+          printf "%-5s  " "***** " 
+       fi
        irev=$((irev+1))
     done
@@ -36,8 +43,6 @@
  # list of all revision available
  DIRLST=`find ${NEMO_VALID} -maxdepth 3 -mindepth 3 -type d | sed -e 's/.*\/W.*\///' | sort -u -r`
-# DIRLST='';for dir in `find ${NEMO_VALID} -maxdepth 3 -mindepth 3 -iname [0-9][0-9][0-9][0-9][0-9]` ; do REV=`basename $dir`; DIRLST="$DIRLST $REV"; done
-# DIRLST=`echo $DIRLST | grep -o -E '\w+' | sort -u -r `
 
- # start checking
+ # display header
  echo ""
  echo " Compiler used is : $COMPILER"
@@ -46,5 +51,6 @@
  for dir in `echo $DIRLST`; do printf "%5s  " $dir ; done
  printf "\n"
-# printf "%27s %${nrev}s" "" $DIRLST
+
+ # start checking configuration revision
  echo ""
  echo "   !---- check revision available for each configuration ----!   "
Index: /NEMO/branches/2019/fix_sette_ticket2239/sette_rpt.sh
===================================================================
--- /NEMO/branches/2019/fix_sette_ticket2239/sette_rpt.sh	(revision 11152)
+++ /NEMO/branches/2019/fix_sette_ticket2239/sette_rpt.sh	(revision 11153)
@@ -451,4 +451,5 @@
 branchname=`LC_MESSAGES=${LANG} ${SVN_CMD} info ${MAIN_DIR} | grep ^URL | awk -F ipsl/forge/projets/nemo/svn/ '{print $NF}'`
 echo "Current code is : $branchname @ r$revision  ( last change @ r$lastchange )"
+[ `svn status -q ${MAIN_DIR}/{cfg,tests,src} | wc -l` -ge 1 ] && lastchange=${lastchange}+
 
 # overwrite revision is argument 1 present