Index: /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg
===================================================================
--- /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 11161)
+++ /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 11162)
@@ -22,5 +22,5 @@
    cn_exp      = "Pacific" !  experience name
    nn_it000    =       1   !  first time step
-   nn_itend    =      75   !  last  time step (std 5475)
+   nn_itend    =      80   !  last  time step (std 5475)
    nn_istate   =       0   !  output the initial state (1) or not (0)
 /
Index: /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg
===================================================================
--- /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 11161)
+++ /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 11162)
@@ -22,5 +22,5 @@
    cn_exp      = "Nordic"  !  experience name 
    nn_it000    =    1      !  first time step
-   nn_itend    =  300      !  last  time step
+   nn_itend    =  320      !  last  time step
    nn_istate   =      0    !  output the initial state (1) or not (0)
    ln_clobber  = .true.    !  clobber (overwrite) an existing file
Index: /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg
===================================================================
--- /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 11161)
+++ /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 11162)
@@ -22,5 +22,5 @@
    cn_exp      = "Nordic"  !  experience name 
    nn_it000    =    1      !  first time step
-   nn_itend    =  900      !  last  time step
+   nn_itend    =  960      !  last  time step
    nn_istate   =      0    !  output the initial state (1) or not (0)
    ln_clobber  = .true.    !  clobber (overwrite) an existing file
Index: /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg
===================================================================
--- /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 11161)
+++ /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 11162)
@@ -22,5 +22,5 @@
    cn_exp      =  "ORCA2"  !  experience name
    nn_it000    =       1   !  first time step
-   nn_itend    =      75   !  last  time step (std 5475)
+   nn_itend    =      80   !  last  time step (std 5475)
    nn_istate   =       0   !  output the initial state (1) or not (0)
 /
Index: /NEMO/releases/release-4.0/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg
===================================================================
--- /NEMO/releases/release-4.0/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 11161)
+++ /NEMO/releases/release-4.0/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 11162)
@@ -22,5 +22,5 @@
    cn_exp      =  "ORCA2"  !  experience name
    nn_it000    =       1   !  first time step
-   nn_itend    =    5475   !  last  time step (std 5475)
+   nn_itend    =    5840   !  last  time step (std 5475)
    nn_istate   =       0   !  output the initial state (1) or not (0)
 /
@@ -75,5 +75,5 @@
 &namsbc        !   Surface Boundary Condition manager                   (default: NO selection)
 !-----------------------------------------------------------------------
-   nn_fsbc     = 2         !  frequency of SBC module call
+   nn_fsbc     = 4         !  frequency of SBC module call
                            !     (also = the frequency of sea-ice & iceberg model call)
                      ! Type of air-sea fluxes 
Index: /NEMO/releases/release-4.0/cfgs/SHARED/namelist_ref
===================================================================
--- /NEMO/releases/release-4.0/cfgs/SHARED/namelist_ref	(revision 11161)
+++ /NEMO/releases/release-4.0/cfgs/SHARED/namelist_ref	(revision 11162)
@@ -189,5 +189,5 @@
 &namsbc        !   Surface Boundary Condition manager                   (default: NO selection)
 !-----------------------------------------------------------------------
-   nn_fsbc     = 2         !  frequency of SBC module call
+   nn_fsbc     = 4         !  frequency of SBC module call
       !                    !  (control sea-ice & iceberg model call)
                      ! Type of air-sea fluxes 