Index: NEMO/branches/2019/ENHANCE-02_ISF_nemo/cfgs/SHARED/field_def_nemo-oce.xml
===================================================================
--- NEMO/trunk/cfgs/SHARED/field_def_nemo-oce.xml	(revision 10824)
+++ NEMO/branches/2019/ENHANCE-02_ISF_nemo/cfgs/SHARED/field_def_nemo-oce.xml	(revision 11395)
@@ -264,20 +264,31 @@
 
           <!-- * variable related to ice shelf forcing * -->
-          <field id="fwfisf"       long_name="Ice shelf melting"                             unit="kg/m2/s"  />
-          <field id="fwfisf3d"     long_name="Ice shelf melting"                             unit="kg/m2/s"  grid_ref="grid_T_3D" />
-          <field id="qlatisf"      long_name="Ice shelf latent heat flux"                    unit="W/m2"     />
-          <field id="qlatisf3d"    long_name="Ice shelf latent heat flux"                    unit="W/m2"     grid_ref="grid_T_3D" />
-          <field id="qhcisf"       long_name="Ice shelf heat content flux"                   unit="W/m2"     />
-          <field id="qhcisf3d"     long_name="Ice shelf heat content flux"                   unit="W/m2"     grid_ref="grid_T_3D" />
-          <field id="isfgammat"    long_name="transfert coefficient for isf (temperature) "  unit="m/s"      />
-          <field id="isfgammas"    long_name="transfert coefficient for isf (salinity)    "  unit="m/s"      />
-          <field id="stbl"         long_name="salinity in the Losh tbl                    "  unit="PSU"      />
-          <field id="ttbl"         long_name="temperature in the Losh tbl                 "  unit="C"        />
-          <field id="utbl"         long_name="zonal current in the Losh tbl at T point    "  unit="m/s"      />
-          <field id="vtbl"         long_name="merid current in the Losh tbl at T point    "  unit="m/s"      />
-          <field id="thermald"     long_name="thermal driving of ice shelf melting        "  unit="C"        />
-          <field id="tfrz"         long_name="top freezing point (used to compute melt)   "  unit="C"        />
-          <field id="tinsitu"      long_name="top insitu temperature (used to cmpt melt)  "  unit="C"        />
-          <field id="ustar"        long_name="ustar at T point used in ice shelf melting  "  unit="m/s"      />
+          <field id="fwfisf_cav"      long_name="Ice shelf melting"                             unit="kg/m2/s"  />
+          <field id="fwfisf_par"      long_name="Ice shelf melting"                             unit="kg/m2/s"  />
+          <field id="qoceisf_cav"     long_name="Ice shelf ocean  heat flux"                    unit="W/m2"     />
+          <field id="qoceisf_par"     long_name="Ice shelf ocean  heat flux"                    unit="W/m2"     />
+          <field id="qlatisf_cav"     long_name="Ice shelf latent heat flux"                    unit="W/m2"     />
+          <field id="qlatisf_par"     long_name="Ice shelf latent heat flux"                    unit="W/m2"     />
+          <field id="qhcisf_cav"      long_name="Ice shelf heat content flux"                   unit="W/m2"     />
+          <field id="qhcisf_par"      long_name="Ice shelf heat content flux"                   unit="W/m2"     />
+          <field id="fwfisf3d_cav"    long_name="Ice shelf melting"                             unit="kg/m2/s"  grid_ref="grid_T_3D" />
+          <field id="fwfisf3d_par"    long_name="Ice shelf melting"                             unit="kg/m2/s"  grid_ref="grid_T_3D" />
+          <field id="qoceisf3d_cav"   long_name="Ice shelf ocean  heat flux"                    unit="W/m2"     grid_ref="grid_T_3D" />
+          <field id="qoceisf3d_par"   long_name="Ice shelf ocean  heat flux"                    unit="W/m2"     grid_ref="grid_T_3D" />
+          <field id="qlatisf3d_cav"   long_name="Ice shelf latent heat flux"                    unit="W/m2"     grid_ref="grid_T_3D" />
+          <field id="qlatisf3d_par"   long_name="Ice shelf latent heat flux"                    unit="W/m2"     grid_ref="grid_T_3D" />
+          <field id="qhcisf3d_cav"    long_name="Ice shelf heat content flux"                   unit="W/m2"     grid_ref="grid_T_3D" />
+          <field id="qhcisf3d_par"    long_name="Ice shelf heat content flux"                   unit="W/m2"     grid_ref="grid_T_3D" />
+          <field id="ttbl_cav"        long_name="temperature in the tracer sample depth      "  unit="C"        />
+          <field id="ttbl_par"        long_name="temperature in the tracer sample depth      "  unit="C"        />
+          <field id="isfthermald_cav" long_name="thermal driving of ice shelf melting        "  unit="C"        />
+          <field id="isfthermald_par" long_name="thermal driving of ice shelf melting        "  unit="C"        />
+          <field id="isfgammat"       long_name="transfert coefficient for isf (temperature) "  unit="m/s"      />
+          <field id="isfgammas"       long_name="transfert coefficient for isf (salinity)    "  unit="m/s"      />
+          <field id="stbl"            long_name="salinity in the Losh tbl                    "  unit="PSU"      />
+          <field id="utbl"            long_name="zonal current in the Losh tbl at T point    "  unit="m/s"      />
+          <field id="vtbl"            long_name="merid current in the Losh tbl at T point    "  unit="m/s"      />
+          <field id="isfustar"        long_name="ustar at T point used in ice shelf melting  "  unit="m/s"      />
+          <field id="qconisf"         long_name="Conductive heat flux through the ice shelf"    unit="W/m2"     />
 
           <!-- *_oce variables available with ln_blk_clio or ln_blk_core -->