Index: ils/build/arch/UKMO/arch-XC40_IFORT.fcm
===================================================================
--- /utils/build/arch/UKMO/arch-XC40_IFORT.fcm	(revision 11472)
+++ 	(revision )
@@ -1,66 +1,0 @@
-# compiler options for Archer CRAY XC-40 (using crayftn compiler)
-#
-# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
-# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
-# XIOS_HOME   root directory containing lib for XIOS
-# OASIS_HOME  root directory containing lib for OASIS
-#
-# NCDF_INC    netcdf4 include file
-# NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
-# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
-# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
-#
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make
-# USER_INC    complete list of include files
-# USER_LIB    complete list of libraries to pass to the linker
-# CC          C compiler used to compile conv for AGRIF
-# CFLAGS      compiler flags used with CC
-#
-# Note that:
-#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
-#  - fcm variables are starting with a % (and not a $)
-#
-# This arch file depends on loading XIOS-PrgEnv/2.0/24708
-
-%NCDF_HOME           $NETCDF_DIR
-%HDF5_HOME           $HDF5_DIR
-%XIOS_HOME           $xios_path
-%OASIS_HOME          $prism_path
-
-%NCDF_INC            -I%NCDF_HOME/include -I%HDF5_HOME/include
-%NCDF_LIB            -L%HDF5_HOME/lib -L%NCDF_HOME/lib -lnetcdff -lnetcdf -lhdf5_hl -lhdf5 -lz
-
-%XIOS_INC            -I%XIOS_HOME/inc
-%XIOS_LIB            -L%XIOS_HOME/lib -lxios -lstdc++
-
-%OASIS_INC           -I%OASIS_HOME/build/lib/mct -I%OASIS_HOME/build/lib/psmile.MPI1
-%OASIS_LIBDIR        -L%OASIS_HOME/lib
-%OASIS_LIB           -lpsmile.MPI1 -lmct -lmpeu -lscrip
-
-%CPP                 cpp
-%FC                  ftn
-
-%FCFLAGS             -r8 -i4 -init=zero -init=arrays -traceback -debug  minimal -debug inline-debug-info -O2 -fp-model consistent 
-%FFLAGS              %FCFLAGS
-%LD                  ftn
-%FPPFLAGS            -P -E -traditional-cpp
-%LDFLAGS             -hbyteswapio
-%AR                  ar
-%ARFLAGS             -r
-%MK                  gmake
-
-%USER_INC            %NCDF_INC %XIOS_INC
-%USER_LIB            %NCDF_LIB %XIOS_LIB 
-
-%CC                  cc
-%CFLAGS              -O0
Index: /utils/build/arch/UKMO/arch-XC40_METO_IFORT.fcm
===================================================================
--- /utils/build/arch/UKMO/arch-XC40_METO_IFORT.fcm	(revision 11473)
+++ /utils/build/arch/UKMO/arch-XC40_METO_IFORT.fcm	(revision 11473)
@@ -0,0 +1,66 @@
+# compiler options for Archer CRAY XC-40 (using crayftn compiler)
+#
+# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
+# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
+# XIOS_HOME   root directory containing lib for XIOS
+# OASIS_HOME  root directory containing lib for OASIS
+#
+# NCDF_INC    netcdf4 include file
+# NCDF_LIB    netcdf4 library
+# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
+# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
+#
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    complete list of include files
+# USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
+#
+# Note that:
+#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
+#  - fcm variables are starting with a % (and not a $)
+#
+# This arch file depends on loading XIOS-PrgEnv/2.0/24708
+
+%NCDF_HOME           $NETCDF_DIR
+%HDF5_HOME           $HDF5_DIR
+%XIOS_HOME           $xios_path
+%OASIS_HOME          $prism_path
+
+%NCDF_INC            -I%NCDF_HOME/include -I%HDF5_HOME/include
+%NCDF_LIB            -L%HDF5_HOME/lib -L%NCDF_HOME/lib -lnetcdff -lnetcdf -lhdf5_hl -lhdf5 -lz
+
+%XIOS_INC            -I%XIOS_HOME/inc
+%XIOS_LIB            -L%XIOS_HOME/lib -lxios -lstdc++
+
+%OASIS_INC           -I%OASIS_HOME/build/lib/mct -I%OASIS_HOME/build/lib/psmile.MPI1
+%OASIS_LIBDIR        -L%OASIS_HOME/lib
+%OASIS_LIB           -lpsmile.MPI1 -lmct -lmpeu -lscrip
+
+%CPP                 cpp
+%FC                  ftn
+
+%FCFLAGS             -r8 -i4 -init=zero -init=arrays -traceback -debug  minimal -debug inline-debug-info -O2 -fp-model consistent 
+%FFLAGS              %FCFLAGS
+%LD                  ftn
+%FPPFLAGS            -P -E -traditional-cpp
+%LDFLAGS             -hbyteswapio
+%AR                  ar
+%ARFLAGS             -r
+%MK                  gmake
+
+%USER_INC            %NCDF_INC %XIOS_INC
+%USER_LIB            %NCDF_LIB %XIOS_LIB 
+
+%CC                  cc
+%CFLAGS              -O0