Index: MO/trunk/doc/latex/NEMO/main/NEMO_manual.ist
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/main/NEMO_manual.ist	(revision 11583)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../global/index.ist
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_DOMAINcfg.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_DOMAINcfg.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_DOMAINcfg.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -560,7 +558,5 @@
 This option is described in the Report by Levier \textit{et al.} (2007), available on the \NEMO\ web site.
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_algos.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_algos.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_algos.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -843,7 +841,5 @@
 \ie\ the variance of the tracer is preserved by the discretisation of the skew fluxes.
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_diff_opers.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_diff_opers.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_diff_opers.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -413,7 +411,5 @@
 that is a Laplacian diffusion is applied on momentum along the coordinate directions.
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_invariants.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_invariants.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_invariants.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -1530,7 +1528,6 @@
 %%%%  end of appendix in gm comment
 %}
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_s_coord.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_s_coord.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_s_coord.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -596,7 +594,5 @@
 the expression of the 3D divergence in the $s-$coordinates established above.
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_triads.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_triads.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/apdx_triads.tex	(revision 11584)
@@ -10,6 +10,4 @@
 \newcommand{\rtriad}[2][]{\ensuremath{\triad[#1]{i}{k}{#2}{i_p}{k_p}}}
 \newcommand{\rtriadt}[1]{\ensuremath{\triadt{i}{k}{#1}{i_p}{k_p}}}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -1173,7 +1171,5 @@
 \]
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ASM.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ASM.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ASM.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -196,7 +194,5 @@
 \end{clines}
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIA.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIA.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIA.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -2119,9 +2117,5 @@
 The maximum values from the run are also copied to the ocean.output file.
 
-% ================================================================
-
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIU.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIU.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DIU.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -161,7 +159,5 @@
 \]
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DOM.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DOM.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DOM.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -696,7 +694,5 @@
 \end{description}
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DYN.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DYN.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_DYN.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -1694,8 +1692,5 @@
 and only array swapping and Asselin filtering is done in \mdl{dynnxt}.
 
-% ================================================================
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LBC.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LBC.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LBC.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -743,7 +741,5 @@
 direction of rotation). %, e.g. anticlockwise or clockwise.
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LDF.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LDF.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_LDF.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -560,7 +558,5 @@
 \colorbox{yellow}{TBC}
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_OBS.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_OBS.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_OBS.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -1170,7 +1168,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_SBC.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -10,4 +8,5 @@
 \chapter{Surface Boundary Condition (SBC, SAS, ISF, ICB)}
 \label{chap:SBC}
+
 \chaptertoc
 
@@ -1784,8 +1783,5 @@
 % in ocean-ice models.
 
-
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_STO.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_STO.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_STO.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -198,7 +196,6 @@
 
 The first four parameters define the stochastic part of equation of state.
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_TRA.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_TRA.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_TRA.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -1461,7 +1459,5 @@
 %%%
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_ZDF.tex	(revision 11584)
@@ -3,6 +3,4 @@
 %% Custom aliases
 \newcommand{\cf}{\ensuremath{C\kern-0.14em f}}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -1508,9 +1506,5 @@
 \end{figure}
 
-% ================================================================
-
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_cfgs.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_cfgs.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_cfgs.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -310,7 +308,5 @@
 Unlike ordinary river points the Baltic inputs also include salinity and temperature data.
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_conservation.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_conservation.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_conservation.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -331,7 +329,5 @@
 It has not been implemented.
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_misc.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_misc.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_misc.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -418,7 +416,6 @@
 
 % ================================================================
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics.tex	(revision 11584)
@@ -1173,7 +1173,5 @@
 Nevertheless it is currently not available in the iso-neutral case.
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\input{../../global/printindex}}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics_zstar.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics_zstar.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_model_basics_zstar.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -315,7 +313,5 @@
 In particular, this means that in filtered case, the matrix to be inverted has to be recomputed at each time-step.
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/NEMO/subfiles/chap_time_domain.tex
===================================================================
--- /NEMO/trunk/doc/latex/NEMO/subfiles/chap_time_domain.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/NEMO/subfiles/chap_time_domain.tex	(revision 11584)
@@ -1,5 +1,3 @@
 \documentclass[../main/NEMO_manual]{subfiles}
-
-\onlyinsubfile{\makeindex}
 
 \begin{document}
@@ -388,7 +386,5 @@
 }
 
-\onlyinsubfile{\bibliography{../main/bibliography}}
-
-\onlyinsubfile{\printindex}
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/global/document.tex
===================================================================
--- /NEMO/trunk/doc/latex/global/document.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/global/document.tex	(revision 11584)
@@ -11,8 +11,8 @@
 
 %% Document layout
-\documentclass[fontsize = 10pt, twoside, abstract]{scrreprt}
+\documentclass[fontsize = 10pt, twoside, abstract, draft]{scrreprt}
 
-%% Load configurations
-\input{../../global/preamble}
+%% Load manual configuration
+\input{../../global/prologue}
 
 %% End of common preamble between main and sub-files
@@ -25,7 +25,4 @@
 \renewcommand{\onlyinsubfile}[1]{}
 \renewcommand{\notinsubfile}[1]{#1}
-
-\renewcommand{\biblio}{}
-\renewcommand{\pindex}{}
 
 
@@ -82,26 +79,10 @@
 \input{../../global/coding_rules}
 
-\clearpage
 
 %% Backmatter
 %% =================================================================================================
 
-%% Bibliography
-\phantomsection
-\addcontentsline{toc}{chapter}{Bibliography}
-\lohead{Bibliography} \rehead{Bibliography}
-\bibliography{../main/bibliography}
-
-\clearpage
-
-%% Indexes
-\phantomsection
-\addcontentsline{toc}{chapter}{Indexes}
-\lohead{Indexes} \rehead{Indexes}
-\printindex[blocks]
-\printindex[keys]
-\printindex[modules]
-\printindex[parameters]
-\printindex[subroutines]
+%% Bibliography and indexes
+\input{../../global/epilogue}
 
 \end{document}
Index: /NEMO/trunk/doc/latex/global/epilogue.tex
===================================================================
--- /NEMO/trunk/doc/latex/global/epilogue.tex	(revision 11584)
+++ /NEMO/trunk/doc/latex/global/epilogue.tex	(revision 11584)
@@ -0,0 +1,20 @@
+
+\clearpage
+
+%% Bibliography
+\phantomsection
+\addcontentsline{toc}{chapter}{Bibliography}
+\lohead{Bibliography} \rehead{Bibliography}
+\bibliography{../main/bibliography}
+
+\clearpage
+
+%% Indexes
+\phantomsection
+\addcontentsline{toc}{chapter}{Indexes}
+\lohead{Indexes} \rehead{Indexes}
+\printindex[blocks]
+\printindex[keys]
+\printindex[modules]
+\printindex[parameters]
+\printindex[subroutines]
Index: /NEMO/trunk/doc/latex/global/index.ist
===================================================================
--- /NEMO/trunk/doc/latex/global/index.ist	(revision 11583)
+++ /NEMO/trunk/doc/latex/global/index.ist	(revision 11584)
@@ -2,4 +2,3 @@
 heading_prefix "\\medskip\\hfill\\textnormal{"
 heading_suffix "}\\hfill\\smallskip\n"
-
 delim_0 "\\dotfill~"
Index: /NEMO/trunk/doc/latex/global/indexes.tex
===================================================================
--- /NEMO/trunk/doc/latex/global/indexes.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/global/indexes.tex	(revision 11584)
@@ -12,8 +12,6 @@
 \newcommand{\key}[1]{  \index[keys]{#1@\texttt{\textbf{key\_#1}}} \texttt{\textbf{key\_#1}}}
 \newcommand{\mdl}[1]{  \index[modules]{#1@\textit{#1.F90}}        \textit{#1.F90}          }
-\newcommand{\nam}[2]{  \index[blocks]{#1@\texttt{\&nam#2}}   \forcode{&nam#1} (\autoref{lst:nam#1})         }
-\newcommand{\np}[3][]{\index[parameters]{\texttt{#3}}       \forcode{#2#1}           }
-%\newcommand{\nam}[1]{  \index[blocks]{\texttt{\&nam#1}}           \forcode{&nam#1}         }
-%\newcommand{\np}[1]{   \index[parameters]{\texttt{#1}}            \forcode{#1}              }
+\newcommand{\nam}[2]{  \index[blocks]{#1@\texttt{\&nam#2}}        \forcode{&nam#1} (\autoref{lst:nam#1})}
+\newcommand{\np}[3][]{ \index[parameters]{#3@\texttt{#3}}         \forcode{#2#1}           }
 \newcommand{\rou}[1]{  \index[subroutines]{#1@\texttt{#1}}        \texttt{#1}              }
 
Index: /NEMO/trunk/doc/latex/global/latexmkrc
===================================================================
--- /NEMO/trunk/doc/latex/global/latexmkrc	(revision 11583)
+++ /NEMO/trunk/doc/latex/global/latexmkrc	(revision 11584)
@@ -9,9 +9,4 @@
 
 ## Custom cmds
-$makeindex = 'makeindex -s %R.ist %O -o %D %S';
-#$pdflatex  = 'pdflatex -shell-escape %O %S';
+$makeindex = 'makeindex -s ../../global/index.ist %O -o %D %S';
 $pdflatex  = 'xelatex -shell-escape %O %S';
-
-#@BIBINPUTS=('.', '../main');
-#$bibtex    = 'bibtex %O ../main/bibliography.bib';
-#$kpsewhich = 'kpsewhich bibliography.bib'
Index: /NEMO/trunk/doc/latex/global/new_cmds.tex
===================================================================
--- /NEMO/trunk/doc/latex/global/new_cmds.tex	(revision 11583)
+++ /NEMO/trunk/doc/latex/global/new_cmds.tex	(revision 11584)
@@ -1,8 +1,4 @@
 %% Global custom commands: \newcommand{<name>}[<args>][<first argument value>]{<code>}
 %% ==============================================================================
-
-%% Include references and index for compilation of single subfile
-\newcommand{\biblio}{\bibliography{../main/bibliography}}
-\newcommand{\pindex}{\printindex}
 
 %% Same slanted font for NEMO and its core engines
Index: MO/trunk/doc/latex/global/preamble.tex
===================================================================
--- /NEMO/trunk/doc/latex/global/preamble.tex	(revision 11583)
+++ 	(revision )
@@ -1,25 +1,0 @@
-
-%% Specific configuration
-\input{../main/definitions}
-
-%% Global configuration
-\input{../../global/packages}
-\input{../../global/highlighting}
-\input{../../global/indexes}
-\input{../../global/styles}
-\input{../../global/new_cmds}
-%\input{../../global/todonotes}
-
-%% Load hyperref at the end of the preamble to make it work with other pkgs
-\usepackage{hyperref}   %% links
-\hypersetup{
-  colorlinks,
-  citecolor = manualcolor, linkcolor = manualcolor, urlcolor = manualcolor,
-  final   %% Links even in draft mode
-}
-
-%% `\autoref` uncapitalization
-\renewcommand{\appendixautorefname}{appendix}
-\renewcommand{\equationautorefname}{equation}
-\renewcommand{\figureautorefname}{figure}
-\renewcommand{\tableautorefname}{table}
Index: /NEMO/trunk/doc/latex/global/prologue.tex
===================================================================
--- /NEMO/trunk/doc/latex/global/prologue.tex	(revision 11584)
+++ /NEMO/trunk/doc/latex/global/prologue.tex	(revision 11584)
@@ -0,0 +1,25 @@
+
+%% Specific configuration
+\input{../main/definitions}
+
+%% Global configuration
+\input{../../global/packages}
+\input{../../global/highlighting}
+\input{../../global/indexes}
+\input{../../global/styles}
+\input{../../global/new_cmds}
+%\input{../../global/todonotes}
+
+%% Load hyperref at the end of the preamble to make it work with other pkgs
+\usepackage{hyperref}   %% links
+\hypersetup{
+  colorlinks,
+  citecolor = manualcolor, linkcolor = manualcolor, urlcolor = manualcolor,
+  final   %% Links even in draft mode
+}
+
+%% `\autoref` uncapitalization
+\renewcommand{\appendixautorefname}{appendix}
+\renewcommand{\equationautorefname}{equation}
+\renewcommand{\figureautorefname}{figure}
+\renewcommand{\tableautorefname}{table}