Index: NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/src/OCE/TDE/tide_mod.F90
===================================================================
--- NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/src/OCE/TDE/tide_mod.F90	(revision 11768)
+++ NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/src/OCE/TDE/tide_mod.F90	(revision 11770)
@@ -570,6 +570,7 @@
       INTEGER, INTENT(in) :: kformula
       !
-      REAL(wp) :: zf
-      REAL(wp) :: zs, zf1, zf2
+      REAL(wp)            :: zf
+      REAL(wp)            :: zs, zf1, zf2
+      CHARACTER(LEN=3)    :: clformula
       !!----------------------------------------------------------------------
       !
@@ -583,9 +584,4 @@
          zf = zf * zf
          !
-      CASE ( 2 )                 !==  formule 2, compound waves (78 x 0)  ===  (78) 
-       zf1= nodal_factort(78)
-       zf = nodal_factort( 0)
-       zf = zf1 * zf
-       !
       CASE ( 4 )                 !==  formule 4,  compound waves (78 x 235) 
          zf1 = nodal_factort( 78)
@@ -593,81 +589,8 @@
          zf  = zf1 * zf
          !
-      CASE ( 5 )                 !==  formule 5,  compound waves (78 *78 x 235)
-         zf1 = nodal_factort( 78)
-         zf  = nodal_factort(235)
-         zf  = zf * zf1 * zf1
-         !
-      CASE ( 6 )                 !==  formule 6,  compound waves (78 *78 x 0)
-         zf1 = nodal_factort(78)
-         zf  = nodal_factort( 0)
-         zf  = zf * zf1 * zf1 
-         !
-      CASE( 7 )                  !==  formule 7, compound waves (75 x 75)
-         zf = nodal_factort(75)
-         zf = zf * zf
-         !
-      CASE( 8 )                  !==  formule 8,  compound waves (78 x 0 x 235)
-         zf  = nodal_factort( 78)
-         zf1 = nodal_factort(  0)
-         zf2 = nodal_factort(235)
-         zf  = zf * zf1 * zf2
-         !
-      CASE( 9 )                  !==  formule 9,  compound waves (78 x 0 x 227)
-         zf  = nodal_factort( 78)
-         zf1 = nodal_factort(  0)
-         zf2 = nodal_factort(227)
-         zf  = zf * zf1 * zf2
-         !
-      CASE( 10 )                 !==  formule 10,  compound waves (78 x 227)
-         zf  = nodal_factort( 78)
-         zf1 = nodal_factort(227)
-         zf  = zf * zf1
-         !
-      CASE( 11 )                 !==  formule 11,  compound waves (75 x 0)
-!!gm bug???? zf 2 fois !
-         zf = nodal_factort(75)
-         zf1 = nodal_factort( 0)
-         zf = zf * zf1
-         !
-      CASE( 12 )                 !==  formule 12,  compound waves (78 x 78 x 78 x 0) 
-         zf1 = nodal_factort(78)
-         zf  = nodal_factort( 0)
-         zf  = zf * zf1 * zf1 * zf1
-         !
-      CASE( 13 )                 !==  formule 13, compound waves (78 x 75)
-         zf1 = nodal_factort(78)
-         zf  = nodal_factort(75)
-         zf  = zf * zf1
-         !
-      CASE( 14 )                 !==  formule 14, compound waves (235 x 0)  ===  (235)
-         zf  = nodal_factort(235)
-         zf1 = nodal_factort(  0)
-         zf  = zf * zf1
-         !
-      CASE( 15 )                 !==  formule 15, compound waves (235 x 75) 
-         zf  = nodal_factort(235)
-         zf1 = nodal_factort( 75)
-         zf  = zf * zf1
-         !
-      CASE( 16 )                 !==  formule 16, compound waves (78 x 0 x 0)  ===  (78)
-         zf  = nodal_factort(78)
-         zf1 = nodal_factort( 0)
-         zf  = zf * zf1 * zf1
-         !
-      CASE( 17 )                 !==  formule 17,  compound waves (227 x 0) 
-         zf1 = nodal_factort(227)
-         zf  = nodal_factort(  0)
-         zf  = zf * zf1
-         !
       CASE( 18 )                 !==  formule 18,  compound waves (78 x 78 x 78 )
          zf1 = nodal_factort(78)
          zf  = zf1 * zf1 * zf1
          !
-      CASE( 19 )                 !==  formule 19, compound waves (78 x 0 x 0 x 0)  ===  (78)
-!!gm bug2 ==>>>   here identical to formule 16,  a third multiplication by zf1 is missing
-         zf  = nodal_factort(78)
-         zf1 = nodal_factort( 0)
-         zf = zf * zf1 * zf1
-         !
       CASE( 20 )                 !==  formula 20, compound waves ( 78 x 78 x 78 x 78 )
          zf1 = nodal_factort(78)
@@ -689,20 +612,8 @@
          zf = sin(2*sh_I) / 0.7214
          !
-      CASE( 77 )                 !==  formule 77
-         zs = sin(sh_I/2)
-         zf = sin(sh_I) * zs * zs / 0.0164
-         !
       CASE( 78 )                 !==  formule 78
          zs = cos(sh_I/2)
          zf = zs * zs * zs * zs / 0.9154
          !
-      CASE( 79 )                 !==  formule 79
-         zs = sin(sh_I)
-         zf = zs * zs / 0.1565
-         !
-      CASE( 144 )                !==  formule 144
-         zs = sin(sh_I/2)
-         zf = ( 1-10*zs*zs+15*zs*zs*zs*zs ) * cos(sh_I/2) / 0.5873
-         !
       CASE( 149 )                !==  formule 149
          zs = cos(sh_I/2)
@@ -721,4 +632,7 @@
          zf = sqrt( 19.0444*zs*zs*zs*zs + 2.7702*zs*zs*cos(2*sh_nu) + .0981 )
          !
+      CASE DEFAULT
+         WRITE( clformula, '(I3)' ) kformula
+         CALL ctl_stop('nodal_factort: formula ' // clformula // ' is not available')
       END SELECT
       !